gem nmake error West Burlington New York

ACC is an Information Technology Service provider with more than 20 years of experience offering our clients a diverse range of services and solutions primarily to organizations in the Northeast United States. With expertise in Web and Application Development, Web Design, Online Marketing, Database Design & Programming, Computer Networking, Hosting, Managed Services and IT Outsourcing, ACC can offer your company a level of service that meets your particular IT needs.  In addition to our technical expertise, we are unique in that our people have significant business, marketing, and accounting experience. Technology used within the framework of business strategy has keyed our success and growth.   To find out more about how ACC can help you with your IT challenges, select a service or call us at 315.484.4500 or toll free at 855.484.4500

Web design Web development Application development Software development Database development MS SQL and MS Access Web marketing Sharepoint development Web and email hosting Domain name services Cloud technologies Computer networking Exchange hosted services Remote backup solutions Remote monitoring Hosting, Managed Services and IT Outsourcing, ACC can offer your company a level of service that meets your particular IT needs.   In addition to our technical expertise, we are unique in that our people have significant business, marketing, and accounting experience. Technology used within the framework of business strategy has keyed our success and growth.

Address 106 Dwight Park Cir, Syracuse, NY 13209
Phone (315) 484-4500
Website Link http://www.acctek.com
Hours

gem nmake error West Burlington, New York

Windows = mingw+devkit Report post Edit Delete Reply with quote Forum List Topic List New Topic Search Register User List Log In Enable email notification | Enable multi-page view Please log Join them; it only takes a minute: Sign up Installing native Ruby extensions on Windows for Jekyll up vote 11 down vote favorite 5 I'm about to go crazy here so I'm really a PHP guy with around 2 weeks (department mandated) of Ruby experience. if that fails..

With gems, u se 'gem install ruby-debug' C:\\InstantRails\\rails_apps\\coal> You are welcome to suggest something entirely different. You can try: gem install amatch-0.2.3.gem --platform=mswin32 .. Owner sdsykes commented Nov 26, 2009 It would be nice to get this going under windows. Labels: ruby on rails Email ThisBlogThis!Share to TwitterShare to FacebookShare to Pinterest Posted by Supriya Surve at 5:33 AM Reactions: 1 comment: theduzJanuary 14, 2010 at 12:37 PMWhere does the mswin32

John Mcleod (johnm) on 2009-07-23 15:28 Thanks for the advice. All rights reserved. Owner sdsykes commented Jan 14, 2010 Yes, if you install the gem directly from the download I gave above (ie gem install slim_scrooge-1.0.4.gem) then it should work. Trust me on the frustrations mate :) As a windows user, I feel very unloved.

All rights reserved. The transformation T on the set of all continuous functions that is defined by T(f) = f (1) is a linear transformation. This could take a while... if that fails.. > gem install (gemname) --platform=mswin32 > ..

In fact, if you have cygwin installed and in your windows path, remove it. This could take a while...ERROR: Error installing ferret: ERROR: Failed to build gem native extension.c:/ruby/bin/ruby.exe extconf.rbcreating Makefilenmake'nmake' is not recognized as an internal or external command,operable program or batch file.Gem files This could take a while... Reload to refresh your session.

What i am interested in knowing is, ability to modify the gem so that it can be used by other users without the need to install vc++. more hot questions question feed lang-rb about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation ERROR: Error installing jekyll: ERROR: Failed to build gem native extension. Joel Dezenzio (elricstorm) on 2009-07-23 15:59 I would stay away from cygwin completely.

Owner mynyml commented Sep 25, 2009 Fixed in v0.5.5 Watchr will now automatically use rev on *nix if it's installed, but will not require it as a gem dependency. New to the Ruby/Rails world, having trouble getting dependent project started (RefineryCMS). asked 6 years ago viewed 4892 times active 6 years ago Linked 0 difficulty installing hpricot in Ruby 1.9.2 Related 831How to make --no-ri --no-rdoc the default for gem install?1problems installing What Ruby do you have installed?

Visual C++ 10.0 (which is what you seem to be using) does not work. if that fails.. > gem install (gemname) --platform mswin32 --source http://gem_source_url > > You should make sure that you have your gem sources updated for > starters: > > gem sources It is far from windows friendly. no creating Makefile nmake 'nmake' is not recognized as an internal or external command, operable program or batch file.

NMAKE fatal error stdlib.h no such file Rails Forum - Ruby on Rails Help and Discussion Forum »Setup and Configuration »rails gem installation error.. If it is pure Ruby code, it will work on all platforms. The instructions at RubyInstaller DevKit were created to support installation of extensions using RubyInstaller compiled versions of Ruby. Reload to refresh your session.

But it still doesn't work. However, I tend to do both. I updated the question. Let me know if it works!

nkirkes commented Jan 12, 2010 Was there a resolution to this? Thanks for the report, jonfuller Owner mynyml commented Sep 21, 2009 I pushed a workaround (v0.5.4) that simply removes the rev dependency. Log In Ruby-debug gem install (Chapter 11) Ruby axelsword 2010-05-06 08:40:14 UTC #1 Simply Rails 2 2nd edition chapter 11 Installing ruby-debug I would appreciate help on how to install this If you are using the 1.8.6 one-click > installer then you should be 'fairly safe' for the most part from much > of these frustrations.

I installed the .tgz of the gem and moved the entire folder within the bin folder. date: invalid date '2016-10-16' Relation between representations of p-adic groups and affine Hecke algebras How should I deal with a difficult group and a DM that doesn't help? That way, if the maintainer has provided a pre-compiled version, you don't need to compile it yourself. I reinstalled using the Installer and now building jekyll with the DevKit works fine.

Terms Privacy Security Status Help You can't perform that action at this time. At least with MAC you have textmate :) Report post Edit Delete Reply with quote Re: ERROR: Failed to build gem native extension. I read the 'readme' and tried to install. So, the best advice is to stick with mingw and the devkit and bypass cygwin altogether.

Building native extensions. Peter Johnson author Bartender Posts: 5856 7 I like... Try forcing the platform by explicitly calling gem install --platform=mswin32 fast-stemmer or even gem install --platform=x86-mswin32-60 fast-stemmer. I've done all the updates and still get the same error.

Was there a change in that particular package, or... Is this what you mean by "you have to build the gem yourself from source"? This issue was closed. Unfortunately this isn't an option. –rogerdpack Sep 7 '10 at 17:11 add a comment| up vote 1 down vote Where does that mswin32 come from?

Owner sdsykes commented Jan 13, 2010 Try downloading and installing this gem on windows: http://pennysmalls.com/gems/slim_scrooge-1.0.4.gem nkirkes commented Jan 13, 2010 Huh, downloaded and installed locally and it ran just fine. Secondly, you need to have a c-compiler on your system and in your path in order for nmake to be used. Please install Ruby and the DevKit from RubyInstaller website and follow the instructions there and avoid mixing with Visual Studio share|improve this answer answered Sep 4 '10 at 1:14 Luis Lavena more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed

You signed in with another tab or window. This issue was closed. ruby rubygems jekyll share|improve this question edited Sep 4 '10 at 13:55 asked Sep 3 '10 at 23:51 Tigraine 13.7k64589 The include path isn't being properly set here. –alternative http://programming-gone-awry.blogspot.com/2009/05/... =r Report post Edit Delete Reply with quote Re: ERROR: Failed to build gem native extension.

You should probably post something in the "ruby" forum. Othervise I wouldn't have started a thread about it.Here's the command to run server with debug C:\\InstantRails\\rails_apps>cd coal C:\\InstantRails\\rails_apps\\coal>ruby script/server --debugger => Booting Mongrel => Rails 2.3.5 application starting on http://0.0.0.0:3000 Other than that, compiling gems from binaries are difficult to explain and again, it would depend on what compiler you are using, what ruby version you are using, and what windows